Remove deprecated code: document-metadata.cpp depends on deprecated code from xml/node-event-vector.h

Bug #1192214 reported by Christoffer Holmstedt on 2013-06-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Inkscape
Low
Christoffer Holmstedt

Bug Description

Inkscape 0.48+devel r12379

I'm trying to understand the source code for Document properties -> metadata tab and I noticed that there is a dependency to xml/node-event-vector.* which has been deprecated. xml/node.h includes code documentations which should make it possible to:

1) Remove the creation of a "Inkscape::XML::NodeEventVector" in the beginning, "_repr_events".
2) Remove the three calls to addListener()

These are all the dependencies I found today, might find more in the future.

Changed in inkscape:
assignee: nobody → Christoffer Holmstedt (christoffer-holmstedt)
Changed in inkscape:
status: New → Incomplete
status: Incomplete → New
su_v (suv-lp) on 2013-06-20
summary: - Remove deprecated code: document-metadata.cpp depends on depracated code
+ Remove deprecated code: document-metadata.cpp depends on deprecated code
from xml/node-event-vector.h
jazzynico (jazzynico) on 2014-02-03
tags: added: code-design
Changed in inkscape:
importance: Undecided → Low
status: New → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers